package com.bjtdba.order.vo;

import com.alibaba.fastjson.JSON;

import java.math.BigDecimal;

public class StoreOrderProductVo {
    private Long order_product_id;
    private Long order_id;
    private Long uid;
    private Long cart_id;
    private Long product_id;
    private BigDecimal extension_one;
    private BigDecimal extension_two;
    private String  product_sku;
    private Integer is_refund;
    private Integer product_num;
    private Integer refund_num;
    private Integer is_reply;
    private BigDecimal product_price;
    private String cart_info;
    private String create_time;
    private Integer type;

    public Long getOrder_product_id() {
        return order_product_id;
    }

    public void setOrder_product_id(Long order_product_id) {
        this.order_product_id = order_product_id;
    }

    public Long getOrder_id() {
        return order_id;
    }

    public void setOrder_id(Long order_id) {
        this.order_id = order_id;
    }

    public Long getUid() {
        return uid;
    }

    public void setUid(Long uid) {
        this.uid = uid;
    }

    public Long getCart_id() {
        return cart_id;
    }

    public void setCart_id(Long cart_id) {
        this.cart_id = cart_id;
    }

    public Long getProduct_id() {
        return product_id;
    }

    public void setProduct_id(Long product_id) {
        this.product_id = product_id;
    }

    public BigDecimal getExtension_one() {
        return extension_one;
    }

    public void setExtension_one(BigDecimal extension_one) {
        this.extension_one = extension_one;
    }

    public BigDecimal getExtension_two() {
        return extension_two;
    }

    public void setExtension_two(BigDecimal extension_two) {
        this.extension_two = extension_two;
    }

    public String getProduct_sku() {
        return product_sku;
    }

    public void setProduct_sku(String product_sku) {
        this.product_sku = product_sku;
    }

    public Integer getIs_refund() {
        return is_refund;
    }

    public void setIs_refund(Integer is_refund) {
        this.is_refund = is_refund;
    }

    public Integer getProduct_num() {
        return product_num;
    }

    public void setProduct_num(Integer product_num) {
        this.product_num = product_num;
    }

    public Integer getRefund_num() {
        return refund_num;
    }

    public void setRefund_num(Integer refund_num) {
        this.refund_num = refund_num;
    }

    public Integer getIs_reply() {
        return is_reply;
    }

    public void setIs_reply(Integer is_reply) {
        this.is_reply = is_reply;
    }

    public BigDecimal getProduct_price() {
        return product_price;
    }

    public void setProduct_price(BigDecimal product_price) {
        this.product_price = product_price;
    }

    public Object getCart_info() {
        return JSON.parse(cart_info);
    }

    public void setCart_info(String cart_info) {
        this.cart_info = cart_info;
    }

    public String getCreate_time() {
        return create_time;
    }

    public void setCreate_time(String create_time) {
        this.create_time = create_time;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }
}
